Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.security.cipher
Class Blowfish

    java.lang.Object
      com.mindbright.jce.crypto.CipherSpi
          com.mindbright.security.cipher.BlockCipher
              com.mindbright.security.cipher.Blowfish

public final class Blowfish
extends BlockCipher

Field Summary
`protected int[]` | `P`
`protected int[]` | `S0`
`protected int[]` | `S1`
`protected int[]` | `S2`
`protected int[]` | `S3`

Constructor Summary
`Blowfish()`

Method Summary
`void` | `blockDecrypt(byte[] in, int inOffset, byte[] out, int outOffset)`
`void` | `blockEncrypt(byte[] in, int inOffset, byte[] out, int outOffset)`
`int` | `getBlockSize()`
`void` | `initializeKey(byte[] key)`

Methods inherited from class com.mindbright.security.cipher.BlockCipher
`engineDoFinal, engineGetBlockSize, engineGetIV, engineGetOutputSize, engineInit, engineInit, engineSetMode, engineSetPadding, getIntLSBO, getIntMSBO, nboIncr, putIntLSBO, putIntMSBO`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### S0

    protected int[] S0

### S1

    protected int[] S1

### S2

    protected int[] S2

### S3

    protected int[] S3

### P

    protected int[] P

Constructor Detail

### Blowfish

    public Blowfish()

Method Detail

### getBlockSize

    public int getBlockSize()

  Specified by:
    `getBlockSize` in class `BlockCipher`

### initializeKey

    public void initializeKey(byte[] key)
                       throws InvalidKeyException

  Specified by:
    `initializeKey` in class `BlockCipher`
  Throws:
    `InvalidKeyException`

### blockEncrypt

    public void blockEncrypt(byte[] in,
                             int inOffset,
                             byte[] out,
                             int outOffset)

  Specified by:
    `blockEncrypt` in class `BlockCipher`

### blockDecrypt

    public void blockDecrypt(byte[] in,
                             int inOffset,
                             byte[] out,
                             int outOffset)

  Specified by:
    `blockDecrypt` in class `BlockCipher`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD